Class Fox::FXSplitter

In: | FXSplitter.rb
Parent: | FXComposite

A splitter window is used to interactively repartition two or more subpanes. The space may be subdivided horizontally or vertically. When the splitter is itself resized, the right-most (or bottom-most) child window will be resized unless the splitter window is reversed; if the splitter is reversed, the left-most (or top-most) child window will be resized instead. The splitter widget sends a `SEL_CHANGED` to its target during the resizing of the panes; at the end of the resize interaction, it sends a `SEL_COMMAND` to signify that the resize operation is complete. Normally, children are resizable from size 0 upwards; however, if the child in a horizontally-oriented splitter has `LAYOUT_FILL_X` in combination with `LAYOUT_FIX_WIDTH`, it will not be made smaller than its default width, except when the child is the last visible widget (or first when the `SPLITTER_REVERSED` option has been passed to the splitter). In a vertically-oriented splitter, children with `LAYOUT_FILL_Y` and `LAYOUT_FIX_HEIGHT` behave analogously. These options only affect interactive resizing.

### Splitter options

`SPLITTER_HORIZONTAL`: | Split horizontally
`SPLITTER_VERTICAL`: | Split vertically
`SPLITTER_REVERSED`: | Reverse-anchored
`SPLITTER_TRACKING`: | Track continuous during split
`SPLITTER_NORMAL`: | same as `SPLITTER_HORIZONTAL`

Methods

new new

Attributes

barSize | [RW] | Splitter bar size, in pixels [Integer]
splitterStyle | [RW] | Splitter style [Integer]

Public Class methods

new(p, opts=SPLITTER_NORMAL, x=0, y=0, w=0, h=0) {|theSplitter| ...}

Construct new splitter widget

new(p, tgt, sel, opts=SPLITTER_NORMAL, x=0, y=0, w=0, h=0) {|theSplitter| ...}

Construct new splitter widget, which will notify target about size changes